Apple CUPS HP-GL2 filter Remote Code Execution Exploit

This module exploits a specific flaw in the Hewlett-Packard Graphics Language filter. Inadequate bounds checking on the pen width and pen color opcodes result in an arbitrary memory overwrite allowing for the execution of arbitrary code as the "hgltops" process uid.
Exploit type: 
Platform: 
Vulnerabilty ID: 
CVE-2008-3641
Product Version: 
7.6
Released Date: 
Monday, November 3, 2008 - 00:00